For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/site/option‑group‑details

get

Get options in option group

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
option_group_idintegerOptional
deletedstringOptional
Responses
200

success

successbooleanOptionalExample: true
get/api/site/option-group-details
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'option_group_id' => '1'
	);

$request = array(
	'method' => 'GET',
	'path' => 'site/option-group-details',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "group-details": {
    "1": [
      {
        "option_group_detail_id": "2",
        "optionid": "2",
        "option_group_id": "1",
        "enabled": "1671060662",
        "disabled": "0"
      },
      {
        "option_group_detail_id": "5",
        "optionid": "3",
        "option_group_id": "1",
        "enabled": "1671143079",
        "disabled": "0"
      },
      {
        "option_group_detail_id": "6",
        "optionid": "82",
        "option_group_id": "1",
        "enabled": "1671148529",
        "disabled": "0"
      },
      {
        "option_group_detail_id": "12",
        "optionid": "54",
        "option_group_id": "1",
        "enabled": "1674169241",
        "disabled": "0"
      },
      {
        "option_group_detail_id": "13",
        "optionid": "4",
        "option_group_id": "1",
        "enabled": "1674582009",
        "disabled": "0"
      },
      {
        "option_group_detail_id": "14",
        "optionid": "5",
        "option_group_id": "1",
        "enabled": "1674582013",
        "disabled": "0"
      }
    ]
  },
  "success": true
}

Last updated

Was this helpful?